version: 39
jobs:
- name: Builds
  steps:
  - !CheckoutStep
    name: Checkout
    cloneCredential: !DefaultCredential {}
    withLfs: true
    withSubmodules: true
    cloneDepth: 1
    condition: ALL_PREVIOUS_STEPS_WERE_SUCCESSFUL
  - !BuildImageStep
    name: Build text board
    buildPath: 7 Text Board
    output: !RegistryOutput
      tags: onedev.site.tesses.net/crosslang/crosslang-tutorials/text-board:latest
    registryLogins:
    - registryUrl: '@server_url@'
      userName: '@job_token@'
      passwordSecret: dockersecret
    condition: ALL_PREVIOUS_STEPS_WERE_SUCCESSFUL
  triggers:
  - !BranchUpdateTrigger
    branches: master
    projects: crosslang/crosslang-tutorials
  retryCondition: never
  maxRetries: 3
  retryDelay: 30
  timeout: 14400
